< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
-  package default
  Definition Classes
    ws
- WSDelete
- WSGet
- WSPatch
- WSPost
- WSPut

t

uk.gov.hmrc.play.http.ws.default

# WSGet 

###

#### trait WSGet extends CoreGet with GetHttpTransport with WSRequestBuilder with WSExecute

Linear Supertypes
WSExecute, WSRequestBuilder, Request, GetHttpTransport, CoreGet, AnyRef, Any
Known Subclasses
WSGet, WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSGet
2. WSExecute
3. WSRequestBuilder
4. Request
5. GetHttpTransport
6. CoreGet
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def GET[A](url: String, queryParams: Seq[(String, String)] = Seq.empty, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
2.  abstract def buildRequest[A](url: String, headers: Seq[(String, String)]): play.api.libs.ws.WSRequest
   Attributes
     protected
   Definition Classes
     WSRequestBuilder
3.  abstract def wsClient: WSClient
   Attributes
     protected
   Definition Classes
     WSRequestBuilder

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def GET[A](url: URL, headers: Seq[(String, String)])(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
5.  final def GET[A](url: URL)(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  def doGet(url: String, headers: Seq[(String, String)])(implicit ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     WSGet → GetHttpTransport
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from WSExecute

### Inherited from WSRequestBuilder

### Inherited from Request

### Inherited from GetHttpTransport

### Inherited from CoreGet

### Inherited from AnyRef

### Inherited from Any

### Ungrouped